Browse Source

Run npm nodejs job with Firefox browser

This patch update browser from Chrome to Firefox in karma.conf.js
becuase nodejs fails with Chrome browser as not able to access some
URL. So let's switch to Firefox browser now then we can use Chrome
browser in future once this issue is resolved.

Change-Id: Id5186f16656e0671dda7ab91062c104b2c08758f
Signed-off-by: Nicolas Bock <nicolas.bock@canonical.com>
changes/98/766898/10
manchandavishal 6 months ago
committed by Michael Johnson
parent
commit
64e2e58b4e
3 changed files with 4 additions and 4 deletions
  1. +1
    -1
      .zuul.yaml
  2. +2
    -2
      karma.conf.js
  3. +1
    -1
      package.json

+ 1
- 1
.zuul.yaml View File

@ -2,7 +2,7 @@
templates:
- check-requirements
- horizon-non-primary-django-jobs
# - horizon-nodejs10-jobs
- horizon-nodejs10-jobs
- openstack-cover-jobs-horizon
# - openstack-lower-constraints-jobs
- openstack-python3-wallaby-jobs-horizon


+ 2
- 2
karma.conf.js View File

@ -121,7 +121,7 @@ module.exports = function (config) {
frameworks: ['jasmine'],
browsers: ['Chrome'],
browsers: ['Firefox'],
phantomjsLauncher: {
// Have phantomjs exit if a ResourceError is encountered
@ -132,7 +132,7 @@ module.exports = function (config) {
reporters: ['progress'],
plugins: [
'karma-chrome-launcher',
'karma-firefox-launcher',
'karma-jasmine',
'karma-ng-html2js-preprocessor'
]


+ 1
- 1
package.json View File

@ -10,7 +10,7 @@
"eslint-config-openstack": "1.2.4",
"jasmine-core": "2.4.1",
"karma": "~1.1.2",
"karma-chrome-launcher": "1.0.1",
"karma-firefox-launcher": "2.1.0",
"karma-cli": "1.0.1",
"karma-jasmine": "1.0.2",
"karma-ng-html2js-preprocessor": "1.0.0"


Loading…
Cancel
Save